---
title: ServiceWorkerRegistration.active
slug: Web/API/ServiceWorkerRegistration/active
tags:
  - API
  - Property
  - Reference
  - Référence(2)
  - Service Workers
  - ServiceWorkerRegistration
  - active
---
<div>{{APIRef("Service Workers API")}}</div>

<p>The <strong><code>active</code></strong> property of the {{domxref("ServiceWorkerRegistration")}} interface returns a service worker whose {{domxref("ServiceWorker.state")}} is <code>activating</code> or <code>activated</code>. This property is initially set to <code>null</code>.</p>

<p>An active worker controls a {{domxref("ServiceWorkerClient")}} if the client's URL falls within the scope of the registration (the <code>scope</code> option set when {{domxref("ServiceWorkerContainer.register")}} is first called.)</p>

<div class="note">
<p><strong>Note</strong>: This feature is available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</p>
</div>

<div class="note">
<p><strong>Note</strong>: Once an active worker is <code>activating</code>, neither a runtime script error nor a force termination of the active worker prevents the active worker from getting <code>activated</code>.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>serviceWorker</em> = <em>serviceWorkerRegistration</em>.active;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("ServiceWorker")}} object's property, if it is currently in an <code>activating</code> or <code>activated</code> state.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Service Workers', '#dom-serviceworkerregistration-active', 'ServiceWorkerRegistration.active')}}</td>
   <td>{{Spec2('Service Workers')}}</td>
   <td>Initial definition.<br>
     </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ServiceWorkerRegistration.active")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Service_Worker_API/Using_Service_Workers">Using Service Workers</a></li>
 <li><a href="https://github.com/mdn/sw-test">Service workers basic code example</a></li>
 <li><a href="https://jakearchibald.github.io/isserviceworkerready/">Is ServiceWorker ready?</a></li>
 <li>{{jsxref("Promise")}}</li>
 <li><a href="/en-US/docs/Web/API/Web_Workers_API/Using_web_workers">Using web workers</a></li>
</ul>
